import {httpApi} from "../../request/httpApi";

export default {
    //获取项目和合同段
    async getProjectAndContract() {
        return httpApi({
            url: '/api/blade-business/userViewProjectContract/queryUserViewProjectAndContract',
            method: 'get',
            params: {}
        });
    },
    //获取默认项目
    async getDefaultProject(form) {
        return httpApi({
            url: '/api/blade-business/defaultProject/queryUserDefault',
            method: 'get',
            params: form
        });
    },
    //获取项目详情
    async getProjectInfo(id) {
        return httpApi({
            url: '/api/blade-manager/projectInfo/detail',
            method: 'get',
            params: {
                id: id ? id + '' : ''
            }
        });
    },
    //获取合同段详情
    async getContractInfo(id) {
        return httpApi({
            url: '/api/blade-manager/contractInfo/detail',
            method: 'get',
            params: {
                id: id ? id + '' : ''
            }
        });
    },
    //设置默认项目
    async setDefaultProject(form) {
        return httpApi({
            url: '/api/blade-business/defaultProject/save',
            method: 'post',
            data: form
        });
    },
}
